<?php 
/*
	Plugin Name:ECT HOME PAGE PRODUCTS
	Description:This plugin will show products on home page
	Author:Andy Chapman
	Author URI:http://www.ecommercetemplates.com
	Version:1.5
*/

add_action('admin_menu','ect_homep_nav');
function ect_homep_nav()
{
	add_menu_page('ECT Homepage Product','ECT Homepage Product','manage_options','ect_homepage_prod','ect_homepage_prod_fun',plugin_dir_url(__FILE__).'img/ect28x28.png',1019);
	add_submenu_page('ect_homepage_prod','Add New','Add New','manage_options','ect_homepage_prod_add','ect_add_homepage_prod');
}
register_activation_hook(__FILE__,'install_homep_tbls');
function install_homep_tbls()
{
	add_option('ect_prod_sett_autoplay','true');
	add_option('ect_prod_sett_visible_prod',5);
	add_option('ect_prod_sett_list_prod',10);
	add_option('ect_prod_sett_animated_speed',1000);
	add_option('ect_prod_sett_autoPlaySpeed',3000);
	add_option('ect_prod_sett_pauseonhover','true');
	add_option('ect_prod_sett_enable_break','true');
	add_option('ect_prod_sett_port_chg',480);
	add_option('ect_prod_sett_port_visi',1);
	add_option('ect_prod_sett_land_chg',640);
	add_option('ect_prod_sett_land_visi',2);
	add_option('ect_prod_sett_tab_chg',768);
	add_option('ect_prod_sett_tab_visi',3);
	
}

function ectdb_admin_scripts() {
wp_enqueue_script('media-upload');
wp_enqueue_script('thickbox');
wp_register_script('ectdb-upload', plugins_url( 'js/ectdb-script.js', __FILE__ ), array('jquery','media-upload','thickbox'));
wp_enqueue_script('ectdb-upload');
}
 add_action('admin_print_scripts', 'ectdb_admin_scripts');
 
function ectdb_admin_styles() {
wp_enqueue_style('thickbox');
}
 add_action('admin_print_styles', 'ectdb_admin_styles');

function ect_add_homepage_prod()
{
	if(!isset($_GET['_id']))
		require_once 'add_hprod.php';
	else
		require_once 'edit_hprod.php';
	//echo do_shortcode('[ect_homepage_prod id=5204]');
}

function ect_homepage_prod_fun()
{
	require_once 'ect_list.php';
}
add_shortcode('ect_homepage_prod','ect_homepage_prod_fun1');
function ect_homepage_prod_fun1($atts)
{
	$Data=get_option('ect_homepage_prod_'.$atts['id']);
	global $ECTWPDB;
	if(!$ECTWPDB)
	{
		global $db_username,$db_password,$db_name,$db_host;
		include "vsadmin/db_conn_open.php";
		$ECTWPDB=new wpdb($db_username, $db_password, $db_name, $db_host);
	} 
	
if($ECTWPDB)
	{

$CondCheckStock='';
$AdminStockMgt=$ECTWPDB->get_results('select adminStockManage from admin where adminID=1');
if(!empty($AdminStockMgt) && !empty($AdminStockMgt[0]->adminStockManage))	$CondCheckStock='and p.pInStock >0';

	$ID=$atts['id'];
 	$Data=get_option('ect_homepage_prod_'.$ID);
	$cond=$inn='';
	$list_prod=empty($Data['show_prod_count']) ? 5 : $Data['show_prod_count'];
	if($Data['homepage_prod_from']=='spec_cat')
	{
		$Q=$ECTWPDB->get_results("select s.sectionID,p.pTax,p.pID,p.pName,p.pDescription,p.pPrice,p.pListPrice,p.pDisplay,p.pInStock,pi.imageSrc from sections as s inner join products as p on s.sectionID=p.pSection left join productimages as pi on p.pID=pi.imageProduct where s.sectionName like '".$Data['sec_id']."%' $CondCheckStock and p.pDisplay=1 and pi.imageType=0 group by p.pID limit $list_prod");
		
	}
	elseif($Data['homepage_prod_from']=='recom')
	{
		$Q=$ECTWPDB->get_results("select s.sectionID,p.pTax,p.pID,p.pName,p.pDescription,p.pPrice,p.pListPrice,p.pDisplay,p.pInStock,pi.imageSrc from sections as s inner join products as p on s.sectionID=p.pSection left join productimages as pi on p.pID=pi.imageProduct where s.sectionName like '".$Data['sec_id']."%'  $CondCheckStock and p.pDisplay=1 and p.pRecommend=1 and pi.imageType=0 group by p.pID limit $list_prod");
	}
	elseif($Data['homepage_prod_from']=='spec_manu')
	{
		$Q=$ECTWPDB->get_results("select s.mfID,p.pTax,p.pID,p.pName,p.pDescription,p.pPrice,p.pListPrice,p.pDisplay,p.pInStock,pi.imageSrc from  manufacturer as s inner join products as p on s.mfID=p.pManufacturer left join productimages as pi on p.pID=pi.imageProduct where s.mfName like '".$Data['sec_id']."%'  $CondCheckStock and p.pDisplay=1 and pi.imageType=0 group by p.pID limit $list_prod");
	
}
	elseif($Data['homepage_prod_from']=='lat_prod')
	{
		$Q=$ECTWPDB->get_results("select p.pTax,p.pID,p.pName,p.pDescription,p.pPrice,p.pListPrice,p.pDisplay,p.pInStock,pi.imageSrc from products as p left join productimages as pi on p.pID=pi.imageProduct where   p.pDisplay=1 $CondCheckStock and pi.imageType=0 group by p.pID order by p.pDateAdded desc limit $list_prod");
//p.pInStock >0 and
                
	}
	elseif($Data['homepage_prod_from']=='best_sell')
	{ 
		$LastThirty=date('Y-m-d H:i:s',mktime(date('H'),date('i'),date('s'),date('m'),date('d')-30,date('Y')));
		$Q=$ECTWPDB->get_results("select cartSessionID,cartProdID,count(cartProdID) as t,p.pTax,p.pID,p.pName,p.pDescription,p.pPrice,p.pListPrice,p.pDisplay,p.pInStock,pi.imageSrc from cart inner join products as p on p.pID=cart.cartProdID left join productimages as pi on p.pID=pi.imageProduct where cart.cartDateAdded between '".$LastThirty."' and '".date('Y-m-d H:i:s')."' $CondCheckStock and p.pDisplay=1 and pi.imageType=0 group by cart.cartProdID order by t desc limit $list_prod");
	
}

	if($Dat['slide_images_from']=='cate')
	{
		$cond=' and s.sectionName like "'.$Dat['sec_id'].'"';	
		$inn='INNER JOIN '.$db_name.'.sections AS s ON s.sectionID = p1.pSection';
	}
       
	global $wpdb;
	 
	$str='';
	$price_template = $Data['price_template_ectdb'];
	$css_class=get_option('ect_prod_sett_css_style');
	if(!empty($Q))
	{
		/*$str.='<div style="float: left; width: auto;"><ul id="flexiselDemo3_'.$ID.'" class="flxs" style="list-style:none">';*/
		$str.='<div class="products ecthpproducts">';
		global $countryCurrency,$countryTaxRate;
                $pTax=$countryTaxRate;
		$CurrSymbol=$GLOBALS['orcsymbol'];
               // $GLOBALS['showtaxinclusive']=1;
                 
		foreach($Q as $prod)
		{ 			
			$PName=$prod->pName;
			$pPrice=number_format($prod->pPrice,2,'.',',');
                        if($prod->pTax!=NULL){
                          $pTax=$prod->pTax;  
                        }
			//if(isset($Data['show_prod_list_p']))
			//	$pPrice=$prod->pListPrice;
			
			$PN=!isset($Data['show_prod_name']) ? '' : '<div class="prodname ecthpprodname"><a href="'.site_url('/').'proddetail.php?prod='.$prod->pID.'" class="ectlink">'.$prod->pName.'</a></div>';
			
			$SHOWLIST=!isset($Data['show_prod_list_p']) ? '' : '<div class="listprice ecthplistprice"><span style="color:#999999;font-weight:bold">List Price: <span style="text-decoration:line-through">$'.number_format($prod->pListPrice,2,'.',',').'</span></span><br><br></div>';
			
			$PP=!isset($Data['show_prod_price']) ? '' : '<div class="prodprice ecthpprodprice"><strong>Price:</strong> <span id="pricediv0" class="price">';
                        if($price_template==1){
                             $ectdp_tax = $prod->pPrice*($pTax/100.0);
                             $tax_pPrice = $prod->pPrice+$ectdp_tax; 
                           if(isset($Data['show_prod_price'])){
                           $PP.= FormatEuroCurrency($prod->pPrice).' ('.FormatEuroCurrency($tax_pPrice).' inc Tax)'; 
                           }
                        }elseif($price_template==2){
                             $ectdp_tax = $prod->pPrice*($pTax/100.0);
                             $tax_pPrice = $prod->pPrice+$ectdp_tax; 
                          if(isset($Data['show_prod_price'])){
                          $PP.= FormatEuroCurrency($tax_pPrice);  
                          } 
                        }elseif($price_template==3){
                          if(isset($Data['show_prod_price'])){
                          $PP.= FormatEuroCurrency($prod->pPrice);  
                          }
                        }else{
                            if(isset($Data['show_prod_price'])){
                            $PP.= FormatEuroCurrency($prod->pPrice);
                            }
                        }
                         if(isset($Data['show_prod_price'])){
                        $PP.='</span></div>';
                         }
		/* 	$BuyBtn=!isset($Data['show_prod_buy']) ? '' : '<div class="p_name ecthpp_name" style="margin-bottom:5px !important">
			
			<form method="post" action="'.site_url('/').'cart.php">
				<input type="hidden" name="id" value="'.$prod->pID.'" />
				<input type="hidden" name="mode" value="add" />
				<input type="submit" value="Add to cart" class="buybutton ecthpbuybutton" />
			</form>
		
			  
			</div>';
		 */	 if($Data['view_upload_image']!=''){
                                $view_upload_image = $Data['view_upload_image'];
                                $view_upload_image_style = 'style="background: transparent url(\''.$view_upload_image.'\') no-repeat scroll 0% 0%;overflow: hidden;max-width: 85px;"';
                        }else{ $view_upload_image_style =''; }
                        
			$Text=!isset($prod->pDescription) ? '' : '<div class="proddescription ecthpproddescription"><p>'.$prod->pDescription.'</p></div>';
			if($view_upload_image!=''){
                        $Hover1='<a class="" href="'.site_url('/').'proddetail.php?prod='.$prod->pID.'"><img src="'.$view_upload_image.'"></a>';
                        }else{
                        $Hover1='<a class="view-prod" href="'.site_url('/').'proddetail.php?prod='.$prod->pID.'">View</a>';
                        }
			
			$sSQL=$ECTWPDB->get_results("SELECT poID FROM prodoptions WHERE poProdID='". escape_string($prod->pID) ."'");
			                                              
                        if(empty($sSQL))
			{
                            if($Data['buy_upload_image']!=''){
                                $buy_upload_image = $Data['buy_upload_image'];                                
                                $buy_upload_image_style = 'style="background: transparent url(\''.$buy_upload_image.'\') no-repeat scroll 0% 0%;overflow: hidden;padding:4px 6px !important;max-width: 135px;width:100px;border-radius: 0px !important;"';
                            }else{ $buy_upload_image_style =''; }
                            
                                    if($Data['buy_upload_image']!=''){
                                        $Hover2='<form method="post" action="'.site_url('/').'cart.php">'.$Hover1.'&nbsp;&nbsp;<input type="hidden" name="id" value="'.$prod->pID.'" /><input type="hidden" name="mode" value="add" /><input type="submit" value="" class="buybutton ectdbpbuybutton" '.$buy_upload_image_style .'/></form>';

                                    }else{
                                        $Hover2='<form method="post" action="'.site_url('/').'cart.php">'.$Hover1.'&nbsp;&nbsp;<input type="hidden" name="id" value="'.$prod->pID.'" /><input type="hidden" name="mode" value="add" /><input type="submit" value="Add to cart" class="buybutton ecthpbuybutton" /></form>';

                                    }
				}
			else
			{       if($view_upload_image!=''){
				$Hover2='<a class="" href="'.site_url('/').'proddetail.php?prod='.$prod->pID.'" ><img src="'.$view_upload_image.'"></a>';
                                }else{
                                    $Hover2='<a class="view-prod view-single" href="'.site_url('/').'proddetail.php?prod='.$prod->pID.'" >View</a>';
                                }
                            
                        }
                        
                        $ectdp_hover=$Data['show_prod_buy_ectdb_onhover'];
                        if($ectdp_hover=='show_prod_buy_ectdb_onhover'){
                            $ectdp_hover_class='ectdp_hover';
                        }else{
                            $ectdp_hover_class='';
                        }
                        
                        if(isset($Data['button_position_ectdb'])){
                            $btnposition = $Data['button_position_ectdb'];
                           $ectdb_button_position = 'style="text-align:'.$btnposition.';"';
                           if($ectdp_hover_class==''){
                              $ectdb_button_position = 'style="text-align:'.$btnposition.';display:block;"'; 
                           }else{
                               $ectdb_button_position = 'style="text-align:'.$btnposition.';"';                           
                           }
                        }else{
                            
                        }
                        
			$str.='<div class="product ecthpproduct" style="position: relative;">';
                         if(isset($Data['show_prod_buy']) && $Data['show_prod_buy_div_position']=='top'){
				$str.='<div class="onhover '.$ectdp_hover_class.'" '.$ectdb_button_position.'>'.$Hover2.'</div>';
                        
                                
                        }
                        $str.='<div class="prodimage ecthpprodimage"><a href="'.site_url('/').'proddetail.php?prod='.$prod->pID.'" class="ectlink"><img alt="'.$PName.'" style="border:0" src="'.site_url('/').$prod->imageSrc.'" class="prodimage" id="prodimage0"></a></div>'.$PN.''.$Text.''.$SHOWLIST.''.$PP;
                        
                        if(isset($Data['show_prod_buy']) && $Data['show_prod_buy_div_position']=='bottom'){
				$str.='<div style="clear:both;"></div><div class="onhover '.$ectdp_hover_class.'" '.$ectdb_button_position.'>'.$Hover2.'</div>';
                        
                                
                        }
			$str.='</div>';
			
		} 
		$str.='</div>';
                if($ectdp_hover=='show_prod_buy_ectdb_onhover'){
                      $str.='<script>
			jQuery(document).ready(function(){
                            jQuery(".ectdp_hover").hide();
                            jQuery(".ecthpproduct").bind("mouseenter", function(){
                                jQuery(this).children(".ectdp_hover").show();
                            }); 
                            jQuery(".ecthpproduct").bind("mouseleave", function(){
                                jQuery(".ectdp_hover").hide();
                            });
                        });
                       </script>';
                }
		return $str;
	}
}
}  
add_action('wp_header','inst_head_home');
function inst_head_home()
{
	wp_enqueue_style('ect-css-homepage',plugin_dir_url(__FILE__).'css/style.css');
 }
add_action('wp_footer','inst_foot_home');
function inst_foot_home()
{
	wp_enqueue_script('jquery');
	echo '<script>
			if (jQuery)
			{
				jQuery(function(){
					jQuery(".onhover").hide();
					jQuery(".products .product").mouseover(function(){
						jQuery(this).find(".onhover").show();
					}).mouseout(function(){
							jQuery(this).find(".onhover").hide();
						});
				});
			}
			else
			{
				$(function(){
					$(".onhover").hide();
					$(".products .product").mouseover(function(){
						$(this).find(".onhover").show();
					}).mouseout(function(){
							$(this).find(".onhover").hide();
						});
				});
			}
	</script>';
}
?>